Bug 1677282 - Not able to enter proxy URL in setting page
Summary: Not able to enter proxy URL in setting page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Settings
Version: 6.5.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: Omkar Khatavkar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-14 13:02 UTC by rakesh kumar
Modified: 2020-07-06 05:59 UTC (History)
6 users (show)

Fixed In Version: foreman-1.22.0-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:23:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 26076 Normal Closed Search bar 'slash' to focus shortcut shouldn't work from other inputs 2020-10-24 08:31:30 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:24:01 UTC

Description rakesh kumar 2019-02-14 13:02:28 UTC
Description of problem: When trying to enter proxy URL in Administer -> Settings > General > HTTP(S) proxy, as soon as we enter "/ or ."  cursor moved to search field. 

Facing the same issue for all other fields as well in Administer -> Settings, unable to enter "/ or ."  in any field.


Version-Release number of selected component (if applicable):
6.5.0.15

How reproducible:

Always


Steps to Reproduce:
Try mentioning proxy URL (like: https://proxy.example.com) in Administer -> Settings > General > HTTP(S) proxy.

Actual results:
The cursor moved to search field


Expected results:
Should be able to mention the value.


Additional info:

Comment 1 Marek Hulan 2019-02-14 15:27:06 UTC
Ron, any thoughts on this? Should we activate shortcut only after some keyboard shortcut? Moving to web-ui component as this is not only related to settings I believe. This is probably easily disableable in the code. Also as a workaround, copy pasting value prepared outside of Satellite UI should probably work.

Comment 4 Marek Hulan 2019-02-18 09:24:24 UTC
Ron, I think shift + slash (or alt + slash) is much better. I encountered this myself yesterday and it's pretty annoying. Is it an easy fix?

Comment 5 Walden Raines 2019-02-18 19:42:17 UTC
(In reply to Marek Hulan from comment #4)
> Ron, I think shift + slash (or alt + slash) is much better. I encountered
> this myself yesterday and it's pretty annoying. Is it an easy fix?

I would imagine it's an easy fix.  Is this something we want to target for an upcoming release?

Comment 6 Ron Lavi 2019-02-18 20:00:31 UTC
After investigating it for a while,
shift + slash changes the slash into a question mark,
alt + any key doesn't appear to get caught by the events listeners
and ctrl + / has other meanings in some browser,

What i found as a good solution
is to determine where the event came from, the event.target.tagName
I've opened a PR with a fix to disable this functionality if the key was pressed inside an input.

Link to PR: https://github.com/theforeman/foreman/pull/6489
Link to ISSUE: https://projects.theforeman.org/issues/26076

Comment 7 Ron Lavi 2019-02-20 10:33:29 UTC
PR was merged :)

Comment 11 Bryan Kearney 2019-05-16 16:02:17 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26076 has been resolved.

Comment 12 vijsingh 2019-11-24 03:19:04 UTC
ON_QA Verified

@Satellite 6.7.0 snap 3.0


Steps/Observation:

 - Able to enter '/' or '.' in Administer -> Settings > General > HTTP(S) proxy and other settings fields

Comment 16 errata-xmlrpc 2020-04-14 13:23:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.